Create a conversion
You are required to use either a referral code, customer_id, click id, coupon code, tracking id, or asset_id & source_id combination. If more than one of these is sent, the precedence will be as follows (highest to lowest): Customer id, Coupon, Referral Code, Click Id, Asset id + Source id, Tracking id
Authorizations
Your API key, from your Tapfiliate account settings.
Query Parameters
Body
An affiliate's referral code. This corresponds to the value of ref= in their referral link.
"janejameson"
XXX-XXXX-XXXX-XXXXX (string) - The tracking id, to be retrieved from our javascript library. Please refer to our REST API integration guide for more info.
"XXXXX"
The click id. Used to add additional reporting information.
"1-abc"
A coupon code to track the conversion by
"JANE10OFF"
The three letter ISO currency code. Override the program's default currency for this conversion by explicitely passing a currency code.
"USD"
The asset id
"1-aaaaaa"
The source id
"1-ssssss"
A unique id for this conversion. It can be anything that is meaningful to you, like an order number, user id, email adres etc.. After a conversion has taken place, you can find this id alongside the conversion on our platform. This makes it very easy to cross-reference data on our platform with your own administration. This id has to be unique for every conversion.
"foobar1"
The conversion amount
30.55
The id for the current customer in your system. Depending on your program settings, this can be used for recurring / lifetime commissions. You can read more about this here
"USER123"
If no commission type is supplied, the programs default commission type is used
"mycommissiontype"
Will override "amount" and "commission_type" if set
The program group id
"myprogramgroup"
The client's user agent string. Used for statistics and fraud detection.
"ua string"
The client's ip. Used for fraud detection.
"111.11.11.111"